FSYNC(2)

NAME
fsync - synchronize a file's in-core state with that on disk

SYNOPSIS
#include <unistd.h>

int fsync(int fd);

DESCRIPTION
fsync copies all in-core parts of a file to disk.

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

ERRORS

EBADF
    fd is not a valid open file descriptor.

EROFS
    EINVAL fd is bound to a special file which doesn't support synchronization.

EIO An error occurred during synchronization.